package Ensembl.artemis;

/** stream-based skeleton class */

import org.omg.PortableServer.POA;
public class FeaturePOATie
	extends FeaturePOA
{
	private FeatureOperations _delegate;

	private POA _poa;
	public FeaturePOATie(FeatureOperations delegate)
	{
		_delegate = delegate;
	}
	public FeaturePOATie(FeatureOperations delegate, POA poa)
	{
		_delegate = delegate;
		_poa = poa;
	}
	public Ensembl.artemis.Feature _this()
	{
		return Ensembl.artemis.FeatureHelper.narrow(_this_object());
	}
	public Ensembl.artemis.Feature _this(org.omg.CORBA.ORB orb)
	{
		return Ensembl.artemis.FeatureHelper.narrow(_this_object(orb));
	}
	public FeatureOperations _delegate()
	{
		return _delegate;
	}
	public void _delegate(FeatureOperations delegate)
	{
		_delegate = delegate;
	}
	public Ensembl.artemis.Qualifier[] getQualifiers()
	{
		return _delegate.getQualifiers();
	}

	public java.lang.String getLocation()
	{
		return _delegate.getLocation();
	}

	public java.lang.String getKey()
	{
		return _delegate.getKey();
	}

}
